Feature: Auswertung nach Kniffelregeln
   As a Spieler 
   In order um meinen Wurf berechnen zu lassen
   I want die Berechnungsmöglichkeit zu wählen
          und die passenden Punkte zu berechnen

Scenario:  Berechnung nur Einer
  When ich 2,3,1,4,5 geworfen habe
   And nur 1er auswerten lasse
  Then erhalte ich 1 Punkt

Scenario:  Berechnung nur Zweier
  When ich 2,3,1,4,5 geworfen habe
   And nur 2er auswerten lasse
  Then erhalte ich 2 Punkte

Scenario:  Berechnung nur Dreier
  When ich 3,3,1,3,5 geworfen habe
   And nur 3er auswerten lasse
  Then erhalte ich 9 Punkte

Scenario:  Berechnung nur Vierer
  When ich 4,4,4,4,4 geworfen habe
   And nur 4er auswerten lasse
  Then erhalte ich 20 Punkte

Scenario:  Berechnung nur Fünfer
  When ich 5,5,5,4,5 geworfen habe
   And nur 5er auswerten lasse
  Then erhalte ich 20 Punkte

Scenario:  Berechnung nur Sechser
  When ich 2,3,1,4,5 geworfen habe
   And nur 6er auswerten lasse
  Then erhalte ich 0 Punkte

Scenario:  Berechnung echter Dreierpasch
  When ich 2,6,5,2,2 geworfen habe
   And einen Dreierpasch eintrage
  Then erhalte ich 17 Punkte

Scenario:  Berechnung kein Dreierpasch
  When ich 2,6,5,2,6 geworfen habe
   And einen Dreierpasch eintrage
  Then erhalte ich 0 Punkte

Scenario:  Berechnung echter Viererpasch
  When ich 2,6,2,2,2 geworfen habe
   And einen Viererpasch eintrage
  Then erhalte ich 14 Punkte

Scenario:  Berechnung kein Viererpasch
  When ich 2,6,5,6,6 geworfen habe
   And einen Viererpasch eintrage
  Then erhalte ich 0 Punkte

Scenario:  Berechnung echtes Full House
  When ich 2,6,6,2,2 geworfen habe
   And ein Full House eintrage
  Then erhalte ich 25 Punkte

Scenario:  Berechnung echtes Full House zweite Variante
  When ich 2,6,6,2,6 geworfen habe
   And ein Full House eintrage
  Then erhalte ich 25 Punkte

Scenario:  Berechnung echtes Full House dritte Variante
  When ich 6,6,6,6,6 geworfen habe
   And ein Full House eintrage
  Then erhalte ich 25 Punkte

Scenario:  Berechnung kein Full House
  When ich 2,6,5,2,6 geworfen habe
   And ein Full House eintrage
  Then erhalte ich 0 Punkte
  
Scenario:  Berechnung auch kein Full House
  When ich 6,6,5,2,6 geworfen habe
   And ein Full House eintrage
  Then erhalte ich 0 Punkte  

Scenario:  Berechnung erste kleine Straße
  When ich 2,1,4,2,3 geworfen habe
   And eine kleine Straße eintrage
  Then erhalte ich 30 Punkte

Scenario:  Berechnung zweite kleine Straße
  When ich 2,3,4,5,5 geworfen habe
   And eine kleine Straße eintrage
  Then erhalte ich 30 Punkte

Scenario:  Berechnung dritte kleine Straße
  When ich 5,6,4,6,3 geworfen habe
   And eine kleine Straße eintrage
  Then erhalte ich 30 Punkte

Scenario:  Berechnung keine kleine Straße
  When ich 2,1,1,6,5 geworfen habe
   And eine kleine Straße eintrage
  Then erhalte ich 0 Punkte

Scenario:  Berechnung erste große Straße
  When ich 2,1,4,5,3 geworfen habe
   And eine große Straße eintrage
  Then erhalte ich 40 Punkte

Scenario:  Berechnung zweite große Straße
  When ich 2,3,4,5,6 geworfen habe
   And eine große Straße eintrage
  Then erhalte ich 40 Punkte

Scenario:  Berechnung keine große Straße
  When ich 2,3,1,6,4 geworfen habe
   And eine große Straße eintrage
  Then erhalte ich 0 Punkte

Scenario:  Berechnung echter Kniffel
  When ich 2,2,2,2,2 geworfen habe
   And einen Kniffel eintrage
  Then erhalte ich 50 Punkte

Scenario:  Berechnung kein Kniffel
  When ich 6,6,6,2,6 geworfen habe
   And einen Kniffel eintrage
  Then erhalte ich 0 Punkte

Scenario:  Berechnung einer Chance
  When ich 2,6,5,2,2 geworfen habe
   And eine Chance eintrage
  Then erhalte ich 17 Punkte

Scenario:  Berechnung einer weiteren Chance
  When ich 6,6,6,6,6 geworfen habe
   And eine Chance eintrage
  Then erhalte ich 30 Punkte